﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан программой.
//     Исполняемая версия:4.0.30319.42000
//
//     Изменения в этом файле могут привести к неправильной работе и будут потеряны в случае
//     повторной генерации кода.
// </auto-generated>
//------------------------------------------------------------------------------

using System.Xml.Serialization;

// 
// Этот исходный код был создан с помощью xsd, версия=4.6.1055.0.
// 

namespace EntityAndXML.Request
{

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "", IsNullable = false)]
    public partial class CIM
    {

        private CIMDECLARATION dECLARATIONField;

        private decimal cIMVERSIONField;

        private decimal dTDVERSIONField;

        /// <remarks/>
        public CIMDECLARATION DECLARATION
        {
            get
            {
                return this.dECLARATIONField;
            }
            set
            {
                this.dECLARATIONField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal CIMVERSION
        {
            get
            {
                return this.cIMVERSIONField;
            }
            set
            {
                this.cIMVERSIONField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public decimal DTDVERSION
        {
            get
            {
                return this.dTDVERSIONField;
            }
            set
            {
                this.dTDVERSIONField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class CIMDECLARATION
    {

        private CIMDECLARATIONVALUEOBJECT[] dECLGROUPField;

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("VALUE.OBJECT", IsNullable = false)]
        public CIMDECLARATIONVALUEOBJECT[] DECLGROUP
        {
            get
            {
                return this.dECLGROUPField;
            }
            set
            {
                this.dECLGROUPField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class CIMDECLARATIONVALUEOBJECT
    {

        private CIMDECLARATIONVALUEOBJECTINSTANCE iNSTANCEField;

        /// <remarks/>
        public CIMDECLARATIONVALUEOBJECTINSTANCE INSTANCE
        {
            get
            {
                return this.iNSTANCEField;
            }
            set
            {
                this.iNSTANCEField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class CIMDECLARATIONVALUEOBJECTINSTANCE
    {

        private CIMDECLARATIONVALUEOBJECTINSTANCEPROPERTY[] pROPERTYField;

        private string cLASSNAMEField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("PROPERTY")]
        public CIMDECLARATIONVALUEOBJECTINSTANCEPROPERTY[] PROPERTY
        {
            get
            {
                return this.pROPERTYField;
            }
            set
            {
                this.pROPERTYField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string CLASSNAME
        {
            get
            {
                return this.cLASSNAMEField;
            }
            set
            {
                this.cLASSNAMEField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class CIMDECLARATIONVALUEOBJECTINSTANCEPROPERTY
    {

        private string vALUEField;

        private string nAMEField;

        private string tYPEField;

        /// <remarks/>
        public string VALUE
        {
            get
            {
                return this.vALUEField;
            }
            set
            {
                this.vALUEField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NAME
        {
            get
            {
                return this.nAMEField;
            }
            set
            {
                this.nAMEField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TYPE
        {
            get
            {
                return this.tYPEField;
            }
            set
            {
                this.tYPEField = value;
            }
        }
    }
}